Skip to main content
GET
List threads

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

ID of the team to use for the request. If omitted, the request uses your personal workspace.

Query Parameters

limit
integer
default:20

Maximum number of results to return.

Required range: x >= 0
order
enum<string>
default:desc

Direction to sort the results. Options for order query param in list endpoints.

Available options:
asc,
desc
offset
integer
default:0

Number of results to skip.

Required range: x >= 0

Response

Success

id
string
required

ID of the thread.

created_at
string<date-time>
required

Time the resource was created, in ISO 8601 format.

object
string
default:thread

Object type. Always thread.

status
enum<string>
default:available

Available status for a thread.

Available options:
available,
locked
active_run_id
string | null

ID of the run that is currently active on the thread.

meta_data
Meta Data · object

Key-value pairs you attach to the resource.

Last modified on October 27, 2026